Subject: Re: bug#9820: 24.0.90; Behaviour of add-file-local-variable

From: Stefan Monnier <[email-masked]>
Date: Sun, 23 Oct 2011 13:59:14 -0400

> After moving this message to modify-file-local-variable,
> checking for new value against the old value really makes less sense
> because it's unclear what to do for the `delete' operations,
> so I removed this check below.

I think it's important to silence the message when we can know that it's
not useful (i.e. the variable already has the right value).  For `delete',
we can test local-variable-p.
BTW, I think the message is not yet as good as it should be.  E.g. we
could either tell the exact command that needs to be used (e.g. M-x
revert-buffer), or go the other way and only point out the current
situation without indicating how to "fix" it, something like "the change
hasn't yet taken effect".

        Stefan